# Quickstart

### Getting Started with zPass

Install zPass-SDK using

```bash
npm install zpass-sdk
```

As zPass-SDK is using wasm for its core functionality, remember to install wasm supporting packages in your project such as `vite-plugin-wasm` to make sure wasm can be run properly.

It is recommended to setup worker thread in your project to run the `zpass-sdk` properly.

A helper function called `createAleoWorker` is provided in `zpass-sdk` to initialize the worker thread. `worker.js` is the file that will be used to run the worker thread.

```javascript
import { createAleoWorker } from "zpass-sdk";

const AleoWorker = () => {
    return createAleoWorker({
        url: "worker.js",
        baseUrl: import.meta.url,
    });
};

export { AleoWorker };
```

Import `ZPassSDK` from `zpass-sdk` in your `worker.js` file to start using the SDK. An optional `initThreadPool` function is provided to enable multi-threading and improve performance.

```javascript
import { ZPassSDK, initThreadPool } from "zpass-sdk";

await initThreadPool();
```

### ZPass SDK Methods References

Please refer to [Methods References](/zpass-sdk/overview.md) for the methods references of `zpass-sdk`.

### Example Usage

For example on how to use `zpass-sdk`, please refer to [Step-by-step Guide](/example-usage/step-by-step-guide.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://zpass.docs.aleo.org/zpass/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
